> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# DepositManagerStatus

> DepositManagerStatus is called by the bidder node to query whether the bidder
has enabled the deposit manager via eip 7702.



## OpenAPI

````yaml /v1.2.x/api-reference/bidder-openapi-spec.json get /v1/bidder/deposit_manager_status
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.2.0-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/deposit_manager_status:
    get:
      summary: DepositManagerStatus
      description: >-
        DepositManagerStatus is called by the bidder node to query whether the
        bidder

        has enabled the deposit manager via eip 7702.
      operationId: Bidder_DepositManagerStatus
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1DepositManagerStatusResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1DepositManagerStatusResponse:
      type: object
      properties:
        enabled:
          type: boolean
        targetDeposits:
          type: array
          items:
            $ref: '#/components/schemas/v1TargetDeposit'
      description: DepositManagerStatus response.
      title: DepositManagerStatus response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1TargetDeposit:
      type: object
      properties:
        provider:
          type: string
        targetDeposit:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````